#ifndef XLOCALIZEENTRY_H
#define XLOCALIZEENTRY_H

#include "xasset.h"
#include "xstring.h"

class XLocalizeEntry : public XAsset
{

public:
    XLocalizeEntry();
    ~XLocalizeEntry();

    void SetValue(XString* aValue);
    void SetValue(QString aValue);
    XString* GetValue() const;

    void SetName(XString* aName);
    void SetName(QString aName);
    XString* GetName() const;

    virtual void Clear() override;
    virtual void ParseData(XDataStream *aStream) override;

private:
    XString* mValue;
    XString* mName;
};

#endif // XLOCALIZEENTRY_H
